<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class DataMenuAlteKurseSeparat4Kategorien extends DataMenuAlteKurseSeparat
{
  public function __construct($urlparameter)
  {
    
    
    DataMenuKurse::__construct($urlparameter);
  }

  
  public function mainmenu()
  {
    $this->getsight();
    
    
    
    $this->getdataarraybody('noRestrict');
    if (count($this->dataarraybody) > 0) {
      parent::mainmenu();
    }
    
    else {
      $this->getdataarraynodata();
      echo "<div class='hauptseite'>\n";
      $this->statusmenu();
      echo $this->getContentAnker();
      $this->handleAusgabeOhneKurse();
      echo '</div>';
    }
  }

  

  
  public function getdataarraybody($pZeitBereich = 'noRestrict')
  {
    DataMenuKurse::getdataarraybody($pZeitBereich);
  }

  
  protected function handleAusgabeOhneKurse()
  {
    $kathaupt = $this->urlparameter->kathaupt;
    if ($kathaupt < 3 || $kathaupt > 199) {
      if (!isset($this->urlparameter->suchesetzen) || $this->urlparameter->suchesetzen != 'true') {
        
        if ($this->settings->katuebersichtNRWStyle) {
          $this->menukategorie3();
        } elseif (!$this->toolsettings->katuebersichtAusSicht) {
          $this->menukategorie();
        } else {
          $this->menukategorie2();
        }
      } 
    } 
    if (!NO_CLEAR_BEFORE_HAUPTSEITE_KURSE) {
      echo "<div style='clear:left;'></div>";
    }
    if ($kathaupt < 3) {
      $this->shownodata();
    } else {
      $this->shownocolumn();
    }
  }

  

  
  protected function handleDescription()
  {
    DataMenuKurse:: handleDescription();
  }

  
  public function _getClickPath()
  {
    
    return DataMenuKurse::_getClickPath();
  }
}